Kerbal Space Program - Bug #13495

Mk12-R Radial-Mount Drogue Chute : Cannot deployed while stowed!
12/27/2016 04:07 PM - aftek
Description

Early career, going for re-entry;
Everything was ok, Mk12-R chute deployed without any issue.

Sadly, | got the bright idea to do an EVA while going too fast... ( Sorry Jeb!)
Quickloaded, but then Mk12-R wouldn't deploy anymore.. "while stowed".

Steps to reproduce:

e Decompress save data: Krogan Space Program.7z
¢ Load quicksave #1
¢ Try to deploy Mk12-R chute.
Jeb's and those tourists' families!
Considered critical because without overdoing the chute with another set of MK2-R, | would have been very embarassed to face
* Mechdeb
e Automated Science Sampler

Most likely related to:

* #10088
* #5955

Version:

e 1.2.2.1622 (WindowsPlayer x64)
¢ Windows 10 v1607 build 14393.576

History

#1 - 12/27/2016 05:52 PM - AlffromKerbal
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed for Linux. Thought that's already resolved, but i still have this issue as well.
"Work around" is to open the service bay, then parachute activates due to not stowed anymore.

Btw. "critical" would mean gamecrash, this issue is more like "normal”, see wiki for more information.

#2 - 12/29/2016 08:33 PM - JPLRepo
- Status changed from Confirmed to Need More Info
- Severity changed from Critical to Normal

- % Done changed from 10 to 0

Hi, thanks for the report. But unfortunately we cannot look at this bug because you have mods installed.

If you can recreated the bug using a stock install with a stock vessel and provide saves/logs then a developer can look at the problem.
downgraded to Normal priority. Please refer to the priorities in the wiki:

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

#3 - 12/29/2016 11:00 PM - aftek
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Hi, thansk for the follow ups;
But unfortunately, after trying it quickly,
the stock game indeed cannot load the save game mentioned as there is 2 parts missing, Mechdeb2 and Kerbal Engineer Redux.

The workaround pointed out by AlffromKerbal worked just fine.. it sucks but it is enough for me.

also, coming from video game QA industry, | won't be spending more time entering bugs for free.. oh wait, not for free, | PAID for the game ;)
a.k.a. I'm not interested in your wiki, and I'm not volunteering :)

If installing 2 mods that do not affect physics or aerodynamics or simply editing a simple text file is too much for a developer to reproduce, it is also
too much for me :'(

( you should slap that dev for being lazy though... )

You can close the bug.
Others might be willing to spend holiday time on this, but again, the workaround is enough for me.

Sorry for wasting both our times on this;

I wish you all a very happy and healthy new year!
You DID make an AWESOME job on this game already, I'm hooked more than a bit..
..that pesky bug won't stop me!

#4 - 12/29/2016 11:07 PM - AlffromKerbal

Well, i would think to reproducing this is by adding chutes to a service bay (try 2x4 or 8 around symetrically). Sometimes it's working (all chutes open),
sometimes not, reloading a quicksave with that vessel might also support viewing the issue. In my case, some of the chutes open, some not. | don't
remember if those are seperately added though.

I wouldn't be so harsh on the wiki or developer. Wiki, to what we pointed you, is just pointing out how to classify priorities. Of course you would agree,
that a bug, crashing the game or makes features completly unavailable, would have a higher priority than a chute that doesn't open after reload.
Btw. i figured it out by myself, that something attached outside of something like "cargohold" or "service bay" isn't working because of "...while
stowed", because i tested it by open/unstow service bay.

Another btw.: You already volunteered by registering at bugtracker and submitting a bug ;) that's good, because you pointing out a problem with the
game you paid for and it is helping to reduce bugs for a game you say is awesome. | have around 850h of gameplay and like to have much more fun
with KSP, that's my motivation to support possible improvement of that great game :)

Happy new year :D

#5 - 12/30/2016 12:09 AM - AlffromKerbal
- File quickAfterdecouple.sfs.zip added
- File Phalanx.sfs.zip added

| had archived savegames and did some test:
| had a phalanx with graberunits. Decoupling one unit of the phalanx and retrograded into atmosphere.
All chutes activated.

In provided savegame "quickAfterdecouple", vessel is already on suborbital trajectory. | think that it already is impossible to use all chutes here,
because i couldn't after 1st reload of that savegame.

Depending on when you activate stage (height), it may or may not activate more or less chutes.

Total reproduction:

Use "Phalanx" save to reproduce from beginning.

- Decouple one of the modules off the assembly

- activate engines

- open service bay

- activate OKTO

- close service bay(!)

- do retrograde until fuel used, drop (or not) fueltank
- activate chute stage (try at different times/heights)

It seems, that right after decoupling and going suborbital without reloading, all chutes open. When reloading game, possibility is high, that some
chutes won't open because they are stowed. | didn't test if changing scene/vessel have same effect as reloading savegame.

Activating some autostruts might be interesting (parts are moving), but has no effect on the issue.
#6 - 02/19/2017 12:26 AM - shwapunk
Hello, first thing | will say is | do not use KSP mods. | never have. | am playing the default KSP 1.2.2 and have had the same problem.

The problem is with radial mount parachute AND radial mount drogue chute failing to deploy (saying it is stowed). When actually, it's not stowed.
Exactly as pictured above: being attached to the side of small service bay.

Next | have some insight for how to easily reproduce the problem:

In the VAB when you have your service bay's DOORS pointed east-west, and parachutes on the ROUND/FLAT (north-south) sides = no problems.
HOWEVER, if you build the craft with the service bay doors pointed north-south with parachutes mounted on round/flat surface pointed east-west =
stowed glitch. This can be tested landed on the launchpad. East-west facing radial chutes on a service bay will not open but north-south will. EASY
TO REPRODUCE.

Lastly, this glitch was very frustrating when trying to build my orbital rocket and in the end | could not mount the parachutes where | had wanted them
for the east west configuration. And also | had another rocket crash into the ocean when unexpectedly the parachutes failed due to this "stowed
glitch".

Thanks, and | hope this helps get it fixed. It will be very much appreciated!

#7 - 02/26/2017 12:36 PM - shwapunk

Okay found another related bug. And again, | have no mods at all.

This time it's putting small solar panels in the same spot of the service bay. When in direct sunlight the panels say blocked by aeroshielding, which is
false, and can be fixed by opening the service bay doors but closing them will result in the same glitch happening at some point later. Just lost a
satelite to dead batteries from this when the solar panel was clearly in direct sunlight and having no chance at recharging due to "blocked by aero
shielding" this satelite will never produce a charge ever again.

Service bay's are causing a lot of problems and | don't feel safe attaching anything to the outside of them anymore... please fix if possible.

Thank you.
